LibreOffice LibreOffice 25.2 SDK API Reference

Public Member Functions | List of all members
XLoadListener Interface Referencepublished

receives load-related events from a loadable object. More...

`import"XLoadListener.idl";`

Inheritance diagram for XLoadListener:

## Public Member Functions
void | loaded ([in] com::sun::star::lang::EventObject aEvent)
| is invoked when the object has successfully connected to a datasource. More...
void | unloading ([in] com::sun::star::lang::EventObject aEvent)
| is invoked when the object is about to be unloaded. More...
void | unloaded ([in] com::sun::star::lang::EventObject aEvent)
| is invoked after the object has disconnected from a datasource. More...
void | reloading ([in] com::sun::star::lang::EventObject aEvent)
| is invoked when the object is about to be reloaded. More...
void | reloaded ([in] com::sun::star::lang::EventObject aEvent)
| is invoked when the object has been reloaded. More...
Public Member Functions inherited from XEventListener
void | disposing ([in] com::sun::star::lang::EventObject Source)
| gets called when the broadcaster is about to be disposed. More...
Public Member Functions inherited from XInterface
any | queryInterface ([in] type aType)
| queries for a new interface to an existing UNO object. More...
void | acquire ()
| increases the reference counter by one. More...
void | release ()
| decreases the reference counter by one. More...

## Detailed Description

receives load-related events from a loadable object.

The interface is typically implemented by data-bound components, which want to listen to the data source that contains their database form.

See also
  com::sun::star::form::XLoadable
  DataAwareControlModel

Developers Guide
  Forms - Loadable Forms

## Member Function Documentation

## ◆ loaded()

void loaded | ( | [in] com::sun::star::lang::EventObject | aEvent | ) |

is invoked when the object has successfully connected to a datasource.

Parameters

  aEvent | the event happened.

## ◆ reloaded()

void reloaded | ( | [in] com::sun::star::lang::EventObject | aEvent | ) |

is invoked when the object has been reloaded.

Parameters

  aEvent | the event happened.

## ◆ reloading()

void reloading | ( | [in] com::sun::star::lang::EventObject | aEvent | ) |

is invoked when the object is about to be reloaded.

Components may use this to stop any other event processing related to the event source until they get the reloaded event.

Parameters

  aEvent | the event happened.

## ◆ unloaded()

void unloaded | ( | [in] com::sun::star::lang::EventObject | aEvent | ) |

is invoked after the object has disconnected from a datasource.

Parameters

  aEvent | the event happened.

## ◆ unloading()

void unloading | ( | [in] com::sun::star::lang::EventObject | aEvent | ) |

is invoked when the object is about to be unloaded.

Components may use this to stop any other event processing related to the event source before the object is unloaded.

Parameters

  aEvent | the event happened.

The documentation for this interface was generated from the following file:

- com/sun/star/form/XLoadListener.idl